Bug 1734857 - skopeo: FTBFS in Fedora rawhide/f31
Summary: skopeo: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: skopeo
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 16:03 UTC by Fedora Release Engineering
Modified: 2019-08-14 12:43 UTC (History)
6 users (show)

Fixed In Version: skopeo-0.1.40-0.2.dev.gitee9e9df.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 12:43:01 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-07-31 16:03 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 16:03 UTC, Fedora Release Engineering
no flags Details
state.log (681 bytes, text/plain)
2019-07-31 16:03 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 16:03:25 UTC
skopeo failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36509430


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix skopeo at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
skopeo will be orphaned. Before branching of Fedora 32,
skopeo will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 16:03:36 UTC
Created attachment 1595142 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-07-31 16:03:38 UTC
Created attachment 1595143 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 16:03:44 UTC
Created attachment 1595144 [details]
state.log

Comment 4 Valentin Rothberg 2019-08-01 11:25:12 UTC
Here's the upstream commit fixing the issue: https://github.com/containers/skopeo/pull/695

It can be fixed by adding `-mod=vendor` to `go build`.

Comment 5 Ben Cotton 2019-08-13 18:37:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Valentin Rothberg 2019-08-14 08:08:08 UTC
Lokesh, are we good again?

Comment 7 Lokesh Mandvekar 2019-08-14 12:43:01 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=1348996 built fine.


Note You need to log in before you can comment on or make changes to this bug.